Bug 194794 - [maintainer] [patch] www/otrs: make apache optional (for fastCGI setups, but Apache selected by default)
Summary: [maintainer] [patch] www/otrs: make apache optional (for fastCGI setups, but ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-03 22:19 UTC by m.tsatsenko
Modified: 2014-12-01 14:28 UTC (History)
1 user (show)

See Also:


Attachments
patch (24.58 KB, patch)
2014-11-03 22:19 UTC, m.tsatsenko
no flags Details | Diff
updated patch (26.03 KB, patch)
2014-11-29 21:12 UTC, m.tsatsenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2014-11-03 22:19:39 UTC
Created attachment 149006 [details]
patch

- Make apache and mod_perl optional (for fastCGI setups)
- clean up plist
Comment 1 John Marino freebsd_committer 2014-11-14 12:20:39 UTC
This doesn't make it optional, it makes apache the default.

You need to remove the "APACHE" option from defaults, right?
Comment 2 m.tsatsenko 2014-11-14 21:55:19 UTC
(In reply to John Marino from comment #1)
> This doesn't make it optional, it makes apache the default.
> 
> You need to remove the "APACHE" option from defaults, right?

Hi, John,
Sorry for confusion. Actually I want to leave apache enabled by default and I have at least two reasons for that:
1) fastcgi is a little more tricky in comparison with apache+mod_perl
2) fastcgi is not (yet) officially supported by upstream
On other hand I have received several requests to add an option to remove apache dependency.
Comment 3 John Marino freebsd_committer 2014-11-14 22:14:14 UTC
Okay, now it's clear.
I tweaked the title and I'm promoting the PR.  It looks ok to me.
Comment 4 Bartek Rutkowski freebsd_committer 2014-11-21 11:48:14 UTC
Hi,

My tests of your patch are failing on pkg-plist here:

http://pd.valinor.palantiri.org/data/11amd64-default/2014-11-21_12h35m42s/logs/errors/otrs-3.3.7.log

Could you please review it and provide updated patch fixing these issues once you test it?

Kind regards,
Bartek Rutkowski
Comment 5 m.tsatsenko 2014-11-29 21:12:47 UTC
Created attachment 149997 [details]
updated patch

Hi,
Thanks for feedback. I updated the patch correcting plist and I guess PORTREVISION bump is required now.
Comment 6 commit-hook freebsd_committer 2014-12-01 14:18:20 UTC
A commit references this bug:

Author: robak
Date: Mon Dec  1 14:18:10 UTC 2014
New revision: 373706
URL: https://svnweb.freebsd.org/changeset/ports/373706

Log:
  www/otrs: make Apache optional (but default)

  - Make apache and mod_perl optional (for fastCGI setups)
  - Clean up pkg-plist

  PR:		194794
  Submitted by:	Mikhail Tsatsenko <m.tsatsenko@gmail.com>

Changes:
  head/www/otrs/Makefile
  head/www/otrs/pkg-plist
Comment 7 Bartek Rutkowski freebsd_committer 2014-12-01 14:28:03 UTC
Committed, thanks for your work!